#include "libgraph.h"
#include "signal.h"
#include "Xatom.h"


int gr_alarm_time=0;  



void gr_time_handler()
{
  XEvent Message;
  int i;

#ifdef DEBUG 
  fprintf(stderr,"Enter timer handler\n");
#endif 

  alarm(0); 

  Message.type = ClientMessage;
  Message.xclient.serial = 0; 
  Message.xclient.send_event = True;
  Message.xclient.display = grdisplay;
  Message.xclient.window = grwindows[0].win;
  Message.xclient.message_type = XA_INTEGER;
  Message.xclient.format = 8;

  i=XSendEvent(grdisplay, grwindows[0].win, False, 0, &Message);

  #ifdef DEBUG
    fprintf(stderr,"Time event send: %d\n",i);
  #endif

  XFlush (grdisplay);
}




value gr_set_time_event(time_alarm)   /* ML */
  value time_alarm;
{
#ifdef DEBUG
  fprintf(stderr,"gr_set_time_event: %d\n",Int_val(time_alarm));
#endif

  gr_alarm_time = Int_val(time_alarm);
  
  return Val_unit;
}
